Getting Perl DBD::mysql running

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help

Getting Perl DBD::mysql running

Postby charrison on Tue Sep 11, 2012 2:47 pm

I don't know if this question is related to my "edition" or not, so that probably qualifies me as a newbie...

Perl is installed, via perlbrew. v5.16.1

Via cpan I'm trying to install DBD::mysql.

Code: Select all
cpan[1]> install DBD::mysql
Reading '/home/charrison/.cpan/Metadata'
  Database was generated on Sat, 11 Aug 2012 02:12:05 GMT
Running install for module 'DBD::mysql'
Running make for C/CA/CAPTTOFU/DBD-mysql-4.021.tar.gz
Checksum for /home/charrison/.cpan/sources/authors/id/C/CA/CAPTTOFU/DBD-mysql-4.021.tar.gz ok
Scanning cache /home/charrison/.cpan/build for sizes
............................................................................DONE

  CPAN.pm: Building C/CA/CAPTTOFU/DBD-mysql-4.021.tar.gz

Can't load '/home/charrison/perl5/lib/perl5/i686-linux-gnu-thread-multi-64int/auto/DBI/DBI.so' for module DBI: /home/charrison/perl5/lib/perl5/i686-linux-gnu-thread-multi-64int/auto/DBI/DBI.so: undefined symbol: PL_thr_key at /home/charrison/perl5/perlbrew/perls/perl-5.16.1/lib/5.16.1/i686-linux/DynaLoader.pm line 190.
 at /home/charrison/perl5/lib/perl5/i686-linux-gnu-thread-multi-64int/DBI.pm line 266.


So, I don't know. Where should I start? If perlbrew is possibly getting in the way, I suppose I don't absolutely need it since I "own" the system.

Thanks,
Chap
charrison
Level 1
Level 1
 
Posts: 15
Joined: Thu Aug 30, 2012 3:22 pm

Linux Mint is funded by ads and donations.
 

Re: Getting Perl DBD::mysql running

Postby millpond on Mon Oct 15, 2012 1:05 am

Hope this isnt too late, but use cpan to install.

The latest version is 4.0.22 which installs fine on Perl v14
millpond
Level 2
Level 2
 
Posts: 60
Joined: Tue Jan 31, 2012 6:34 pm


Return to Newbie Questions

Who is online

Users browsing this forum: No registered users and 11 guests